#!/usr/bin/python

""" List all partners that use unicode characters in their names. """

from client import client

c = client(trim_fetches=True)

partners  = c.search_fetch(
      'res.partner',
      [],
      ['name'])

for partner in partners:
    try:
        partner['name'].decode('ascii')
    except UnicodeDecodeError:
        print partner['name']

print 'Done.'
